function result = hbfiltering(img, k)
    
    h_blur = fspecial('average', [5 5]);
    img_blur = imfilter(img, h_blur, 'replicate');
    
    mask = img - img_blur;

    result = img + k * mask;

end

